libossp-uuid-perl_1.6.2-1.3_amd64.deb


Advertisement

Description

libossp-uuid-perl - perl OSSP::UUID - OSSP uuid Perl Binding

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libossp-uuid-perl
Package version 1.6.2
Package release 1.3
Package architecture amd64
Package type deb
Installed size 123 B
Download size 30.82 KB
Official Mirror ftp.br.debian.org
OSSP uuid is an ISO-C and Perl application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
(UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
based), version 3 (name based) and version 4 (random number based).
UUIDs are 128 bit numbers which are intended to have a high likelihood
of uniqueness over space and time and are computationally difficult
to guess. They are globally unique identifiers which can be locally
generated without contacting a global registration authority. UUIDs
are intended as unique identifiers for both mass tagging objects
with an extremely short lifetime and to reliably identifying very
persistent objects across a network.
OSSP::uuid provides two Perl APIs:
The OO-style API is a wrapper around the C-style API and intended for
high-level and regular programming.
The C-style API is a direct mapping of the OSSP uuid ISO-C API to Perl and
is intended for low-level programming.
The Debian package provides also Data::UUID interface so OSSP::uuid can be
used as free replacement for non-DFSG Perl module.

Alternatives

Package Version Architecture Repository
libossp-uuid-perl_1.6.2-1.3_i386.deb 1.6.2 i386 Debian Main
libossp-uuid-perl - - -

Requires

Name Value
libc6 >= 2.2.5
libossp-uuid16 -
perl >= 5.14.2-9
perlapi-5.14.2 -

Provides

Name Value
libdata-uuid-perl -

Conflicts

Name Value
libdata-uuid-perl -

Replaces

Name Value
libdata-uuid-perl -

Download

Type URL
Binary Package libossp-uuid-perl_1.6.2-1.3_amd64.deb
Source Package ossp-uuid

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libossp-uuid-perl deb package:
    # sudo apt-get install libossp-uuid-perl

Files

Path
/usr/lib/perl5/Data/UUID.pm
/usr/lib/perl5/Data/UUID.pod
/usr/lib/perl5/OSSP/uuid.pm
/usr/lib/perl5/OSSP/uuid.pod
/usr/lib/perl5/auto/OSSP/uuid/uuid.bs
/usr/lib/perl5/auto/OSSP/uuid/uuid.so
/usr/share/doc/libossp-uuid-perl/changelog.Debian.gz
/usr/share/doc/libossp-uuid-perl/changelog.gz
/usr/share/doc/libossp-uuid-perl/copyright
/usr/share/man/man3/Data::UUID.3pm.gz
/usr/share/man/man3/OSSP::uuid.3pm.gz

Changelog

2012-03-21 - Ondřej Surý <ondrej@debian.org>
ossp-uuid (1.6.2-1.3) unstable; urgency=high
* Non-maintainer upload
* Drop dependency on php5-dev an php5-cli to make transition tracker
less confused
2012-03-14 - Ondřej Surý <ondrej@debian.org>
ossp-uuid (1.6.2-1.2) unstable; urgency=high
* Disable building of php5-uuid until it's fixed in upstream
(Closes: #656482)
2011-07-26 - Tim Retout <diocles@debian.org>
ossp-uuid (1.6.2-1.1) unstable; urgency=low
* Non-maintainer upload.
* 0004-fix-data-uuid-from-string.patch: Support dash-less args to
from_string in uuid_compat.pm. (Closes: #635607)
2010-02-12 - Marco Nenciarini <mnencia@debian.org>
ossp-uuid (1.6.2-1) unstable; urgency=low
* New upstream release. (Closes: #452780)
* Remove Fix-compatibility-with-Data-UUID.patch (fixed upstream)
* Refresh Change-library-name.patch
* Delete uuid-config.1 in clean target because it's a generated file.
* Fix the invocation of the php test to work with PHP version 5.3.
(Closes: #569456)
* Change section of php5-uuid from interpreters to php to match override
2010-02-02 - Marco Nenciarini <mnencia@debian.org>
ossp-uuid (1.5.1-2) unstable; urgency=low
* New maintainer.
* Acknowledge NMUs.
* Switch to source format "3.0 (quilt)"
* Migrate build system to debhelper 7 (Closes: #466829)
* Add patch to improve compatibility with Data::UUID (Closes: #480451)
* Automatically update config.{sub,guess} (Closes: #543290)
* Improve short description for uuid package (Closes: #493416)
* In uuid command-line tool don't ignore -m option if followed by -v1
(Closes: #531396)
* Bump Standards-Version. No change required
* Change comment style in uuid.ini as required by PHP version 5.3
* Fix whatis entry of uuid.1, uuid.3ossp and uuid++.3ossp manpages
2010-01-23 - Kai Wasserbäch <debian@carbon-project.org>
ossp-uuid (1.5.1-1.2) unstable; urgency=high
* Non-maintainer upload.
* Urgency set to high, because this fixes a RC bug.
* Add debian/copyright. (Closes: #540511)
* debian/control:
- Use ${binary:Version} (found by Lintian).
- Bump Standards-Version (found by Lintian).
* Use up-to-date config.{sub,guess} files (found by Lintian).
2007-10-21 - Steve Langasek <vorlon@debian.org>
ossp-uuid (1.5.1-1.1) unstable; urgency=high
* Non-maintainer upload.
* High-urgency upload for RC bugfix.
* Drop php4-uuid, since php4 is obsolete and scheduled for removal from
testing.  Closes: #418310.
* Fix the invocation of the php test to load uuid.so via a commandline 
config directive, since we can't trust that the php5-cli package
supports dl().
2006-11-20 - Piotr Roszatycki <dexter@debian.org>
ossp-uuid (1.5.1-1) unstable; urgency=low
* New upstream release.
- No binary files in upstream. Closes: #381579.
- uuid -d works for amd64. Closes: #381533.
* PHP packages use conf.d configuration schema.
* Fix Data::UUID::to_b64string returned value ends with a "\n".
Closes: #399357.
2006-01-12 - Piotr Roszatycki <dexter@debian.org>
ossp-uuid (1.3.2-1) unstable; urgency=medium
* New upstream release.
* Recompiled for new php5. Closes: #347185.
* The dependencies on php are generated with debian/substvars.
2005-08-31 - Piotr Roszatycki <dexter@debian.org>
ossp-uuid (1.3.1-1) unstable; urgency=low
* New upstream release.
- New soname.
- Provides also C++ library.
- Provides new packages with PHP4 and PHP5 extension modules.
* Fix section fields.
* Perl Data::UUID backward compatibility API is applied by upstream.

See Also

Package Description
libossp-uuid16_1.6.2-1.3_amd64.deb OSSP uuid ISO-C and C++ - shared library
libostyle-dev_1.4devel1-20.1+b1_amd64.deb OpenJade libraries, developer support
libostyle1c2_1.4devel1-20.1+b1_amd64.deb Runtime libraries for OpenJade
libotcl1-dev_1.14+dfsg-2_amd64.deb static library of OTcl
libotcl1_1.14+dfsg-2_amd64.deb shared library of OTcl
libotf-bin_0.9.12-2_amd64.deb Library for handling OpenType Font - utilities
libotf-dev_0.9.12-2_amd64.deb Library for handling OpenType Font - development
libotf-trace-dev_1.10.2+dfsg-2_amd64.deb Open Trace Format support library - development files
libotf-trace1_1.10.2+dfsg-2_amd64.deb Open Trace Format support library - shared library
libotf0_0.9.12-2_amd64.deb Library for handling OpenType Font - runtime
libotfaux0_1.10.2+dfsg-2_amd64.deb Open Trace Format support library - shared library
libotp0-heimdal_1.6~git20120403+dfsg1-2_amd64.deb Heimdal Kerberos - OTP support library
libotpw-dev_1.3-2_amd64.deb OTPW library development files and documentation
libotr2-bin_3.2.1-1+deb7u2_amd64.deb toolkit for Off-the-Record Messaging library
libotr2-dev_3.2.1-1+deb7u2_amd64.deb Off-the-Record Messaging library development files
Advertisement
Advertisement